``` ini

BenchmarkDotNet=v0.12.1, OS=Windows 10.0.19042
AMD Ryzen 9 3950X, 1 CPU, 32 logical and 16 physical cores
.NET Core SDK=5.0.200-preview.20601.7
  [Host]     : .NET Core 5.0.1 (CoreCLR 5.0.120.57516, CoreFX 5.0.120.57516), X64 RyuJIT
  DefaultJob : .NET Core 5.0.1 (CoreCLR 5.0.120.57516, CoreFX 5.0.120.57516), X64 RyuJIT


```
|              Method | LineCount |             Mean |            Error |           StdDev |        Gen 0 |       Gen 1 |     Gen 2 |      Allocated |
|-------------------- |---------- |-----------------:|-----------------:|-----------------:|-------------:|------------:|----------:|---------------:|
|           **CsvHelper** |         **0** |         **41.64 μs** |         **0.158 μs** |         **0.147 μs** |       **1.7090** |      **0.8545** |         **-** |          **14 KB** |
|  CsvTextFieldParser |         0 |         35.88 μs |         0.671 μs |         0.595 μs |       0.5493 |      0.2441 |         - |        4.62 KB |
|       FastCsvParser |         0 |         58.66 μs |         0.242 μs |         0.215 μs |      47.0581 |     41.8091 |   38.3911 |      195.57 KB |
|           FluentCsv |         0 |         35.91 μs |         0.279 μs |         0.261 μs |       0.4883 |      0.2441 |         - |        4.47 KB |
|           HomeGrown |         0 |         35.85 μs |         0.627 μs |         0.587 μs |       0.5493 |      0.2441 |         - |        4.62 KB |
| LumenWorksCsvReader |         0 |         39.65 μs |         0.083 μs |         0.065 μs |       1.5259 |      0.7935 |         - |       12.73 KB |
|     mgholam_fastCSV |         0 |         59.24 μs |         0.266 μs |         0.249 μs |      48.8281 |     42.4194 |   38.3911 |      211.48 KB |
|           NReco_Csv |         0 |         47.56 μs |         0.397 μs |         0.371 μs |      10.2539 |      2.6855 |         - |       84.63 KB |
|   ServiceStack_Text |         0 |         35.51 μs |         0.256 μs |         0.240 μs |       0.4883 |      0.2441 |         - |        4.45 KB |
|                 Csv |         0 |         35.63 μs |         0.386 μs |         0.361 μs |       0.5493 |      0.2441 |         - |        4.65 KB |
|        string_Split |         0 |         35.88 μs |         0.374 μs |         0.350 μs |       0.4883 |      0.2441 |         - |        4.45 KB |
|     Sylvan_Data_Csv |         0 |         57.33 μs |         0.230 μs |         0.204 μs |      39.3066 |     38.5132 |   38.3911 |      135.25 KB |
|       TinyCsvReader |         0 |         35.57 μs |         0.390 μs |         0.365 μs |       0.5493 |      0.3052 |         - |        4.52 KB |
|           **CsvHelper** |         **1** |         **49.04 μs** |         **0.201 μs** |         **0.188 μs** |       **2.8687** |      **1.4648** |         **-** |       **23.41 KB** |
|  CsvTextFieldParser |         1 |         41.69 μs |         0.408 μs |         0.381 μs |       1.0376 |      0.4883 |         - |        8.82 KB |
|       FastCsvParser |         1 |         64.38 μs |         0.246 μs |         0.230 μs |      47.4854 |     41.9922 |   38.2080 |      203.28 KB |
|           FluentCsv |         1 |         90.14 μs |         0.666 μs |         0.623 μs |       2.5635 |      1.2207 |         - |       21.76 KB |
|           HomeGrown |         1 |         42.63 μs |         0.198 μs |         0.185 μs |       0.7935 |      0.3662 |         - |        6.76 KB |
| LumenWorksCsvReader |         1 |         47.46 μs |         0.787 μs |         0.698 μs |       1.4648 |      0.7324 |         - |       12.14 KB |
|     mgholam_fastCSV |         1 |         64.03 μs |         0.202 μs |         0.189 μs |      48.9502 |     42.9688 |   38.3301 |      212.66 KB |
|           NReco_Csv |         1 |         52.16 μs |         0.352 μs |         0.329 μs |      10.6201 |      2.6245 |         - |       87.41 KB |
|   ServiceStack_Text |         1 |         43.39 μs |         0.158 μs |         0.148 μs |       0.7935 |      0.3662 |         - |        6.87 KB |
|                 Csv |         1 |         80.61 μs |         1.357 μs |         1.270 μs |       3.4180 |      1.7090 |         - |       28.06 KB |
|        string_Split |         1 |         42.34 μs |         0.201 μs |         0.188 μs |       0.7935 |      0.4272 |         - |         6.5 KB |
|     Sylvan_Data_Csv |         1 |         66.25 μs |         0.333 μs |         0.295 μs |      39.9170 |     38.3301 |   38.2080 |      142.26 KB |
|       TinyCsvReader |         1 |         46.97 μs |         0.282 μs |         0.264 μs |       1.2817 |      0.6714 |         - |       10.68 KB |
|           **CsvHelper** |        **10** |        **105.38 μs** |         **0.743 μs** |         **0.695 μs** |       **7.4463** |      **2.5635** |         **-** |       **61.27 KB** |
|  CsvTextFieldParser |        10 |         69.01 μs |         0.151 μs |         0.142 μs |       5.7373 |      1.9531 |         - |       47.32 KB |
|       FastCsvParser |        10 |         79.70 μs |         0.223 μs |         0.198 μs |      50.5371 |     43.5791 |   38.3301 |      227.66 KB |
|           FluentCsv |        10 |        552.49 μs |         3.920 μs |         3.475 μs |      21.4844 |      3.9063 |         - |      181.57 KB |
|           HomeGrown |        10 |         67.12 μs |         0.246 μs |         0.230 μs |       2.1973 |      1.0986 |         - |       17.96 KB |
| LumenWorksCsvReader |        10 |         76.08 μs |         0.276 μs |         0.245 μs |       7.9346 |      2.6855 |         - |       65.62 KB |
|     mgholam_fastCSV |        10 |         76.47 μs |         0.214 μs |         0.189 μs |      50.2930 |     44.1895 |   38.4521 |      224.22 KB |
|           NReco_Csv |        10 |         68.12 μs |         0.217 μs |         0.192 μs |      11.8408 |      3.9063 |         - |        98.3 KB |
|   ServiceStack_Text |        10 |         57.42 μs |         0.146 μs |         0.136 μs |       3.7842 |      1.8921 |         - |       31.27 KB |
|                 Csv |        10 |        257.31 μs |         1.751 μs |         1.638 μs |      14.6484 |      3.4180 |         - |      119.55 KB |
|        string_Split |        10 |         52.70 μs |         0.098 μs |         0.091 μs |       3.3569 |      1.6479 |         - |       27.52 KB |
|     Sylvan_Data_Csv |        10 |         78.62 μs |         0.118 μs |         0.105 μs |      41.3818 |     39.1846 |   39.0625 |      146.63 KB |
|       TinyCsvReader |        10 |         97.58 μs |         0.225 μs |         0.210 μs |       8.5449 |      2.1973 |         - |       70.38 KB |
|           **CsvHelper** |       **100** |        **559.39 μs** |         **2.526 μs** |         **2.363 μs** |      **53.7109** |     **12.6953** |         **-** |      **442.68 KB** |
|  CsvTextFieldParser |       100 |        369.33 μs |         0.586 μs |         0.519 μs |      53.2227 |     13.1836 |         - |      436.58 KB |
|       FastCsvParser |       100 |        276.42 μs |         3.272 μs |         3.060 μs |      73.7305 |     52.2461 |   38.0859 |      419.74 KB |
|           FluentCsv |       100 |      5,504.43 μs |        31.941 μs |        29.878 μs |     218.7500 |     54.6875 |         - |     1818.38 KB |
|           HomeGrown |       100 |        295.48 μs |         1.242 μs |         1.162 μs |      15.6250 |      4.8828 |         - |      128.82 KB |
| LumenWorksCsvReader |       100 |        337.18 μs |         0.675 μs |         0.632 μs |      68.3594 |     17.0898 |         - |      560.91 KB |
|     mgholam_fastCSV |       100 |        208.95 μs |         1.058 μs |         0.990 μs |      64.4531 |     51.2695 |   38.5742 |      340.45 KB |
|           NReco_Csv |       100 |        216.95 μs |         0.992 μs |         0.928 μs |      25.3906 |      8.3008 |         - |      208.81 KB |
|   ServiceStack_Text |       100 |        254.52 μs |         2.625 μs |         2.456 μs |      34.6680 |      8.3008 |         - |         286 KB |
|                 Csv |       100 |      2,014.61 μs |        18.355 μs |        17.170 μs |     125.0000 |     31.2500 |         - |     1047.88 KB |
|        string_Split |       100 |        193.43 μs |         1.385 μs |         1.228 μs |      30.2734 |      7.5684 |         - |       248.5 KB |
|     Sylvan_Data_Csv |       100 |        233.24 μs |         0.491 μs |         0.460 μs |      47.6074 |     40.5273 |   39.5508 |      193.46 KB |
|       TinyCsvReader |       100 |        551.47 μs |         1.707 μs |         1.596 μs |      83.9844 |     20.5078 |         - |      685.56 KB |
|           **CsvHelper** |      **1000** |      **5,436.03 μs** |        **17.650 μs** |        **16.510 μs** |     **507.8125** |    **226.5625** |         **-** |     **4150.09 KB** |
|  CsvTextFieldParser |      1000 |      3,314.55 μs |        12.682 μs |        11.862 μs |     515.6250 |    226.5625 |         - |     4211.53 KB |
|       FastCsvParser |      1000 |      2,144.63 μs |        39.166 μs |        45.104 μs |     335.9375 |    207.0313 |   70.3125 |     2429.03 KB |
|           FluentCsv |      1000 |     53,486.77 μs |       528.327 μs |       494.198 μs |    2100.0000 |    200.0000 |         - |    17888.08 KB |
|           HomeGrown |      1000 |      2,429.91 μs |         5.810 μs |         4.536 μs |     144.5313 |     66.4063 |         - |     1206.13 KB |
| LumenWorksCsvReader |      1000 |      2,990.49 μs |        15.052 μs |        13.344 μs |     652.3438 |    312.5000 |         - |     5355.16 KB |
|     mgholam_fastCSV |      1000 |      1,392.60 μs |         6.873 μs |         5.740 μs |     199.2188 |    113.2813 |   35.1563 |     1480.06 KB |
|           NReco_Csv |      1000 |      1,744.78 μs |         9.304 μs |         8.703 μs |     156.2500 |     54.6875 |         - |     1285.84 KB |
|   ServiceStack_Text |      1000 |      2,060.95 μs |         5.054 μs |         4.220 μs |     335.9375 |    152.3438 |         - |     2766.29 KB |
|                 Csv |      1000 |     18,866.43 μs |        88.895 μs |        83.152 μs |    1250.0000 |    500.0000 |         - |    10238.17 KB |
|        string_Split |      1000 |      1,378.94 μs |         2.846 μs |         2.523 μs |     292.9688 |    121.0938 |         - |      2391.3 KB |
|     Sylvan_Data_Csv |      1000 |      1,693.29 μs |         2.490 μs |         2.329 μs |     103.5156 |     64.4531 |   35.1563 |      692.77 KB |
|       TinyCsvReader |      1000 |      5,449.79 μs |        18.777 μs |        17.564 μs |     812.5000 |    304.6875 |         - |     6646.98 KB |
|           **CsvHelper** |     **10000** |     **76,303.96 μs** |       **721.917 μs** |       **675.282 μs** |    **5857.1429** |   **1857.1429** |  **857.1429** |    **41532.83 KB** |
|  CsvTextFieldParser |     10000 |     49,042.21 μs |       203.210 μs |       190.082 μs |    5909.0909 |   2090.9091 |  909.0909 |    42431.49 KB |
|       FastCsvParser |     10000 |     34,187.62 μs |       599.895 μs |       561.143 μs |    2933.3333 |   1400.0000 |  533.3333 |     21476.8 KB |
|           FluentCsv |     10000 |    531,510.93 μs |     6,796.906 μs |     6,357.830 μs |   22000.0000 |   3000.0000 | 1000.0000 |    179072.4 KB |
|           HomeGrown |     10000 |     36,133.70 μs |       241.165 μs |       225.586 μs |    1714.2857 |   1000.0000 |  357.1429 |    12120.51 KB |
| LumenWorksCsvReader |     10000 |     48,425.61 μs |       907.580 μs |       848.951 μs |    7363.6364 |   2454.5455 |  909.0909 |    53732.66 KB |
|     mgholam_fastCSV |     10000 |     19,092.84 μs |       213.647 μs |       189.392 μs |    1687.5000 |    843.7500 |  218.7500 |    12927.32 KB |
|           NReco_Csv |     10000 |     28,323.52 μs |       150.222 μs |       133.168 μs |    1781.2500 |   1062.5000 |  375.0000 |    12205.74 KB |
|   ServiceStack_Text |     10000 |     39,929.53 μs |       637.667 μs |       497.848 μs |    4307.6923 |   1923.0769 |  923.0769 |    27786.62 KB |
|                 Csv |     10000 |    210,864.12 μs |     3,731.868 μs |     3,490.791 μs |   13333.3333 |   3000.0000 | 1333.3333 |   102428.51 KB |
|        string_Split |     10000 |     31,681.69 μs |       188.805 μs |       176.608 μs |    3687.5000 |   1750.0000 |  812.5000 |    24036.47 KB |
|     Sylvan_Data_Csv |     10000 |     16,967.00 μs |        26.910 μs |        23.855 μs |     437.5000 |    281.2500 |   93.7500 |     3510.77 KB |
|       TinyCsvReader |     10000 |     72,103.75 μs |       840.907 μs |       702.196 μs |    8857.1429 |   2571.4286 | 1000.0000 |    66823.32 KB |
|           **CsvHelper** |    **100000** |    **745,784.83 μs** |    **11,640.805 μs** |    **10,888.816 μs** |   **54000.0000** |  **20000.0000** | **4000.0000** |   **414398.48 KB** |
|  CsvTextFieldParser |    100000 |    498,075.69 μs |     3,910.887 μs |     3,658.246 μs |   55000.0000 |  22000.0000 | 4000.0000 |    423675.7 KB |
|       FastCsvParser |    100000 |    331,599.19 μs |     5,926.500 μs |     8,870.507 μs |   27000.0000 |  10000.0000 | 2000.0000 |   211179.27 KB |
|           FluentCsv |    100000 |  5,223,577.31 μs |    38,386.494 μs |    35,906.750 μs |  223000.0000 |  54000.0000 | 5000.0000 |  1789359.91 KB |
|           HomeGrown |    100000 |    354,972.12 μs |     2,424.037 μs |     2,267.446 μs |   16000.0000 |   9000.0000 | 2000.0000 |   120590.69 KB |
| LumenWorksCsvReader |    100000 |    544,019.69 μs |     9,874.272 μs |     9,236.400 μs |   70000.0000 |  25000.0000 | 5000.0000 |    536462.8 KB |
|     mgholam_fastCSV |    100000 |    292,613.04 μs |     2,957.468 μs |     2,766.418 μs |   17000.0000 |   7000.0000 | 1500.0000 |   129671.54 KB |
|           NReco_Csv |    100000 |    276,181.24 μs |     2,015.981 μs |     1,885.749 μs |   16000.0000 |   9000.0000 | 2000.0000 |   120727.33 KB |
|   ServiceStack_Text |    100000 |    353,422.24 μs |     4,306.113 μs |     3,817.257 μs |   35000.0000 |  11000.0000 | 2000.0000 |   277183.01 KB |
|                 Csv |    100000 |  2,036,218.59 μs |    10,001.380 μs |     8,351.605 μs |  129000.0000 |  34000.0000 | 4000.0000 |  1023414.33 KB |
|        string_Split |    100000 |    304,584.93 μs |     1,057.085 μs |       882.714 μs |   31000.0000 |  12000.0000 | 2000.0000 |   239681.13 KB |
|     Sylvan_Data_Csv |    100000 |    165,047.79 μs |       801.326 μs |       749.561 μs |    3666.6667 |   2000.0000 |  666.6667 |    29075.17 KB |
|       TinyCsvReader |    100000 |    729,453.26 μs |     8,607.133 μs |     8,051.117 μs |   86000.0000 |  27000.0000 | 5000.0000 |   667372.98 KB |
|           **CsvHelper** |   **1000000** |  **7,448,376.79 μs** |   **112,094.886 μs** |   **104,853.626 μs** |  **514000.0000** | **188000.0000** | **9000.0000** |  **4139641.88 KB** |
|  CsvTextFieldParser |   1000000 |  5,056,590.16 μs |    99,181.880 μs |   110,240.397 μs |  525000.0000 | 191000.0000 | 9000.0000 |  4232603.22 KB |
|       FastCsvParser |   1000000 |  3,721,525.68 μs |    17,525.609 μs |    14,634.677 μs |  261000.0000 |  91000.0000 | 6000.0000 |  2104690.66 KB |
|           FluentCsv |   1000000 | 56,180,447.84 μs | 1,065,503.327 μs | 1,094,193.469 μs | 2197000.0000 | 578000.0000 | 9000.0000 | 17889690.95 KB |
|           HomeGrown |   1000000 |  4,143,420.09 μs |    37,201.176 μs |    32,977.874 μs |  151000.0000 |  78000.0000 | 6000.0000 |  1201585.19 KB |
| LumenWorksCsvReader |   1000000 |  5,092,012.04 μs |   101,131.738 μs |   197,249.687 μs |  662000.0000 | 214000.0000 | 8000.0000 |  5360374.57 KB |
|     mgholam_fastCSV |   1000000 |  3,258,396.61 μs |    64,398.177 μs |    63,247.621 μs |  160000.0000 |  57000.0000 | 5000.0000 |  1291173.96 KB |
|           NReco_Csv |   1000000 |  3,382,506.77 μs |    46,440.310 μs |    43,440.294 μs |  151000.0000 |  80000.0000 | 6000.0000 |   1202325.4 KB |
|   ServiceStack_Text |   1000000 |  4,072,549.48 μs |    78,082.633 μs |    89,920.076 μs |  343000.0000 |  91000.0000 | 6000.0000 |  2767907.56 KB |
|                 Csv |   1000000 | 19,265,103.71 μs |   126,873.961 μs |   118,677.982 μs | 1258000.0000 | 336000.0000 | 8000.0000 | 10230085.11 KB |
|        string_Split |   1000000 |  3,106,870.15 μs |    37,172.175 μs |    34,770.876 μs |  297000.0000 | 105000.0000 | 6000.0000 |  2392906.07 KB |
|     Sylvan_Data_Csv |   1000000 |  1,822,023.25 μs |     9,167.615 μs |     8,575.393 μs |   35000.0000 |  19000.0000 | 3000.0000 |   281141.23 KB |
|       TinyCsvReader |   1000000 |  7,047,685.05 μs |    33,363.286 μs |    31,208.039 μs |  822000.0000 | 216000.0000 | 8000.0000 |  6669740.33 KB |
